Skip site navigation (1) Skip section navigation (2)

Postgres and J2EE

From: marcin(dot)jerzy(at)wp(dot)pl (Marcin)
To: pgsql-general(at)postgresql(dot)org
Subject: Postgres and J2EE
Date: 2002-07-28 13:07:11
Message-ID: fbb6af43.0207280507.28fc6e9f@posting.google.com (view raw or flat)
Thread:
Lists: pgsql-general
Hi!

Is there anybody who play with Postgres and Java 2 EE Platform? I have
a problem with connecting my J2EE app server to Postgres server. When
I call getConnection() method, it throws exception with message "no
suitable driver". Below is appropriate piece of code:

		ic = InitialContext();
		ds = (DataSource)ic.lookup("java:comp/env/jdbc/mydb");
		db = ds.getConnection();

I'm almost sure that it's not a problem with configuration of J2EE
server, but with driver itself. But what could be wrong, if I
downloaded Postgres driver from Postgres web site and there is written
that it supports JDBC 2.0 API, particularly DataSource interface?
Moreover, I've done exactly what they say in configuration manual...

If there is anybody who have experience with J2EE and Postgres, PLEASE
tell me, how You bring them together and force to work. Maybe there's
some hook in configuration or should I build the driver from
sources... I don't know, I have no idea :-(

I use:
- Postgres 7.2
- J2EE - 1.3
- J2SDK - 1.3.1

Thanx
MJS

pgsql-general by date

Next:From: Tom LaneDate: 2002-07-28 16:39:37
Subject: Re: Linux max on shared buffers?
Previous:From: MarcinDate: 2002-07-28 12:17:34
Subject: Postgres and J2EE

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group